package cn.iocoder.yudao.module.constant;

import lombok.Getter;

/**
 * @Description: 文件默认key
 * @Author: 86187
 * @Date: 2025/03/24 15:03
 * @Version: 1.0
 */
@Getter
public enum InspectionFileEnum {
    FOLDER("staff", "员工文件夹"),
    FILE("equipment", "设备文件夹"),
    COACH("coach", "驾校员工文件夹"),
    student("student","驾校学员文件夹"),
    WX_EQUIPMENT("wx_equipment","维修设备文件夹"),
    JY_EQUIPMENT("jy_equipment","救援设备文件夹"),
    WX_STAFF("wxstaff", "维修员工文件夹"),
    INSPECTION_CUSTOMER("small_inspection_member_folder", "检测客户资料夹"),
    ;


    private final String type;
    private final String desc;

    InspectionFileEnum(String type, String desc) {
        this.type = type;
        this.desc = desc;
    }

    /**
     * 根据type 获取desc
     */
    public static String getDescByType(String type) {
        for (InspectionFileEnum value : values()) {
            if (value.getType().equals(type)) {
                return value.getDesc();
            }
        }
        return type;
    }
}
